Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security.impl.beid
Class BeIDKeyStoreAdaptor

    java.lang.Object
      be.ehealth.technicalconnector.service.sts.security.impl.beid.BeIDKeyStoreAdaptor

All Implemented Interfaces:
  KeyStoreAdaptor

    public class BeIDKeyStoreAdaptor

extends Object
implements KeyStoreAdaptor

Keystore adaptor class for BeID type Implementation of `KeyStoreAdaptor`

Field Summary
`static String` | `PROP_AUTO_RECOVERY` Property to (des)activate AutoRecovery.
`static String` | `PROP_CARDREADERSTICKINESS` Property to (des)activate CardReaderStickiness.
`static String` | `PROP_LOGOFF` Property to (des)activate Logoff.

Constructor Summary
`BeIDKeyStoreAdaptor()`

Method Summary
`KeyStore` | `getKeyStore()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_AUTO_RECOVERY

    public static final String PROP_AUTO_RECOVERY

  Property to (des)activate AutoRecovery. Default value is true
  This means that they can survive eID card removal/re-insert events.

  See Also:
    Constant Field Values

### PROP_LOGOFF

    public static final String PROP_LOGOFF

  Property to (des)activate Logoff. Default value is false
  This means if it set to true that you want de re-enter your pincode for every eid action

  See Also:
    Constant Field Values

### PROP_CARDREADERSTICKINESS

    public static final String PROP_CARDREADERSTICKINESS

  Property to (des)activate CardReaderStickiness. Default value is false
  Sets whether the auto recovery should use card reader stickiness. If set to true, the auto recovery will try to recover using the same card reader.

  See Also:
    Constant Field Values

Constructor Detail

### BeIDKeyStoreAdaptor

    public BeIDKeyStoreAdaptor()

Method Detail

### getKeyStore

    public KeyStore getKeyStore()
                         throws KeyStoreException,
                                TechnicalConnectorException

  Specified by:
    `getKeyStore` in interface `KeyStoreAdaptor`
  Returns:
    the keystore
  Throws:
    `KeyStoreException`
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.